CVE-2006-2213
CVSS5.0
发布时间 :2006-05-05 08:46:00
修订时间 :2016-11-18 22:00:13
NMCOPS    

[原文]Hostapd 0.3.7-2 allows remote attackers to cause a denial of service (segmentation fault) via an unspecified value in the key_data_length field of an EAPoL frame.


[CNNVD]hostapd EAPOL Key Length 远程拒绝服务漏洞(CNNVD-200605-093)

        Hostapd 0.3.7-2可以使远程攻击者借助EAPoL帧的key_data_length 字段中的不确定值,引起拒绝服务(分段故障)。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2213
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-2213
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200605-093
(官方数据源) CNNVD

- 其它链接及资源

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=365897
(UNKNOWN)  MISC  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=365897
http://www.debian.org/security/2006/dsa-1065
(UNKNOWN)  DEBIAN  DSA-1065
http://www.securityfocus.com/bid/17846
(UNKNOWN)  BID  17846
http://www.vupen.com/english/advisories/2006/1657
(UNKNOWN)  VUPEN  ADV-2006-1657
http://xforce.iss.net/xforce/xfdb/26239
(UNKNOWN)  XF  hostapd-eapol-dos(26239)

- 漏洞信息

hostapd EAPOL Key Length 远程拒绝服务漏洞
中危 其他
2006-05-05 00:00:00 2006-05-08 00:00:00
远程  
        Hostapd 0.3.7-2可以使远程攻击者借助EAPoL帧的key_data_length 字段中的不确定值,引起拒绝服务(分段故障)。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        hostapd hostapd 0.3.7
        Debian hostapd_0.3.7-2sarge1_alpha.debDebian GNU/Linux 3.1 alias sarge
        http://security.debian.org/pool/updates/main/h/hostapd/hostapd_0.3.7-2
        sarge1_alpha.deb
        Debian hostapd_0.3.7-2sarge1_amd64.debDebian GNU/Linux 3.1 alias sarge
        http://security.debian.org/pool/updates/main/h/hostapd/hostapd_0.3.7-2
        sarge1_amd64.deb
        Debian hostapd_0.3.7-2sarge1_arm.debDebian GNU/Linux 3.1 alias sarge
        http://security.debian.org/pool/updates/main/h/hostapd/hostapd_0.3.7-2
        sarge1_arm.deb
        Debian hostapd_0.3.7-2sarge1_hppa.debDebian GNU/Linux 3.1 alias sarge
        http://security.debian.org/pool/updates/main/h/hostapd/hostapd_0.3.7-2
        sarge1_hppa.deb
        Debian hostapd_0.3.7-2sarge1_i386.debDebian GNU/Linux 3.1 alias sarge
        http://security.debian.org/pool/updates/main/h/hostapd/hostapd_0.3.7-2
        sarge1_i386.deb
        Debian hostapd_0.3.7-2sarge1_ia64.debDebian GNU/Linux 3.1 alias sarge
        http://security.debian.org/pool/updates/main/h/hostapd/hostapd_0.3.7-2
        sarge1_ia64.deb
        Debian hostapd_0.3.7-2sarge1_m68k.debDebian GNU/Linux 3.1 alias sarge
        http://security.debian.org/pool/updates/main/h/hostapd/hostapd_0.3.7-2
        sarge1_m68k.deb
        Debian hostapd_0.3.7-2sarge1_mips.debDebian GNU/Linux 3.1 alias sarge
        http://security.debian.org/pool/updates/main/h/hostapd/hostapd_0.3.7-2
        sarge1_mips.deb
        Debian hostapd_0.3.7-2sarge1_mipsel.debDebian GNU/Linux 3.1 alias sarge
        http://security.debian.org/pool/updates/main/h/hostapd/hostapd_0.3.7-2
        sarge1_mipsel.deb
        Debian hostapd_0.3.7-2sarge1_powerpc.debDebian GNU/Linux 3.1 alias sarge
        http://security.debian.org/pool/updates/main/h/hostapd/hostapd_0.3.7-2
        sarge1_powerpc.deb
        Debian hostapd_0.3.7-2sarge1_s390.debDebian GNU/Linux 3.1 alias sarge
        http://security.debian.org/pool/updates/main/h/hostapd/hostapd_0.3.7-2
        sarge1_s390.deb
        Debian hostapd_0.3.7-2sarge1_sparc.debDebian GNU/Linux 3.1 alias sarge
        http://security.debian.org/pool/updates/main/h/hostapd/hostapd_0.3.7-2
        sarge1_sparc.deb
        hostapd hostapd-0.3.9.tar.gz
        http://hostap.epitest.fi/releases/hostapd-0.3.9.tar.gz
        Mandriva hostapd-0.3.7-2.1.102dk.i586.rpmMandriva Linux 10.2:
        http://wwwnew.mandriva.com/en/downloads/
        Mandriva hostapd-0.3.7-2.1.102dk.x86_64.rpmMandriva Linux 10.2:
        http://wwwnew.mandriva.com/en/downloads/
        Mandriva hostapd-0.3.7-2.1.20060mdk.i586.rpmMandriva Linux 2006.0:
        http://wwwnew.mandriva.com/en/downloads/
        Mandriva hostapd-0.3.7-2.1.20060mdk.x86_64.rpmMandriva Linux 2006.0:
        http://wwwnew.mandriva.com/en/downloads/

- 漏洞信息 (F46504)

Debian Linux Security Advisory 1065-1 (PacketStormID:F46504)
2006-05-22 00:00:00
Debian  debian.org
advisory
linux,debian
CVE-2006-2213
[点击下载]

Debian Security Advisory 1065-1 - Matteo Rosi and Leonardo Maccari discovered that hostapd, a wifi network authenticator daemon, performs insufficient boundary checks on a key length value, which might be exploited to crash the service.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

- --------------------------------------------------------------------------
Debian Security Advisory DSA 1065-1                    security@debian.org
http://www.debian.org/security/                         Moritz Muehlenhoff
May 19th, 2006                          http://www.debian.org/security/faq
- --------------------------------------------------------------------------

Package        : hostapd
Vulnerability  : missing input sanitising
Problem-Type   : remote
Debian-specific: no
CVE ID         : CVE-2006-2213
Debian Bug     : 365897

Matteo Rosi and Leonardo Maccari discovered that hostapd, a wifi network
authenticator daemon, performs insufficient boundary checks on a key length
value, which might be exploited to crash the service.

The old stable distribution (woody) does not contain hostapd packages.

For the stable distribution (sarge) this problem has been fixed in
version 0.3.7-2sarge1.

For the unstable distribution (sid) this problem has been fixed in
version 0.5-1.

We recommend that you upgrade your hostapd package.


Upgrade Instructions
- --------------------

wget url
        will fetch the file for you
dpkg -i file.deb
        will install the referenced file.

If you are using the apt-get package manager, use the line for
sources.list as given below:

apt-get update
        will update the internal database
apt-get upgrade
        will install corrected packages

You may use an automated update by adding the resources from the
footer to the proper configuration.


Debian GNU/Linux 3.1 alias sarge
- --------------------------------

  Source archives:

    http://security.debian.org/pool/updates/main/h/hostapd/hostapd_0.3.7-2sarge1.dsc
      Size/MD5 checksum:      598 5bf3f02bd6702fa8eee3e3af35d5492f
    http://security.debian.org/pool/updates/main/h/hostapd/hostapd_0.3.7-2sarge1.diff.gz
      Size/MD5 checksum:    21545 d51f8c474d9870a8f9ef7acbb5cbfccd
    http://security.debian.org/pool/updates/main/h/hostapd/hostapd_0.3.7.orig.tar.gz
      Size/MD5 checksum:   246195 12ad3a43bf4a774f347b129c973bbe57

  Alpha architecture:

    http://security.debian.org/pool/updates/main/h/hostapd/hostapd_0.3.7-2sarge1_alpha.deb
      Size/MD5 checksum:   190678 494deacc729f0705a35fa672df543c5e

  AMD64 architecture:

    http://security.debian.org/pool/updates/main/h/hostapd/hostapd_0.3.7-2sarge1_amd64.deb
      Size/MD5 checksum:   154128 9db28dc56cd0491f0a308963292c4dfe

  ARM architecture:

    http://security.debian.org/pool/updates/main/h/hostapd/hostapd_0.3.7-2sarge1_arm.deb
      Size/MD5 checksum:   139250 76c6ed78ba1f35663909bb2a59f81c77

  Intel IA-32 architecture:

    http://security.debian.org/pool/updates/main/h/hostapd/hostapd_0.3.7-2sarge1_i386.deb
      Size/MD5 checksum:   143266 31d25bde62c31f3b438a3c76d790a3a7

  Intel IA-64 architecture:

    http://security.debian.org/pool/updates/main/h/hostapd/hostapd_0.3.7-2sarge1_ia64.deb
      Size/MD5 checksum:   217328 12543738e658596cf16f13c93944a52c

  HP Precision architecture:

    http://security.debian.org/pool/updates/main/h/hostapd/hostapd_0.3.7-2sarge1_hppa.deb
      Size/MD5 checksum:   154724 4b0d60ac7882e28ce001db813cb4fffd

  Motorola 680x0 architecture:

    http://security.debian.org/pool/updates/main/h/hostapd/hostapd_0.3.7-2sarge1_m68k.deb
      Size/MD5 checksum:   123760 a7b688b0f9eaf4fac8b4fd56a004716b

  Big endian MIPS architecture:

    http://security.debian.org/pool/updates/main/h/hostapd/hostapd_0.3.7-2sarge1_mips.deb
      Size/MD5 checksum:   158916 ec19e80924075319fa5f72b25faba29a

  Little endian MIPS architecture:

    http://security.debian.org/pool/updates/main/h/hostapd/hostapd_0.3.7-2sarge1_mipsel.deb
      Size/MD5 checksum:   160922 f12520f2e6729643bd789bfef11c7d53

  PowerPC architecture:

    http://security.debian.org/pool/updates/main/h/hostapd/hostapd_0.3.7-2sarge1_powerpc.deb
      Size/MD5 checksum:   148798 9a2810e2f494e32febaa3ae2f55b3511

  IBM S/390 architecture:

    http://security.debian.org/pool/updates/main/h/hostapd/hostapd_0.3.7-2sarge1_s390.deb
      Size/MD5 checksum:   150472 39c936065b24a57dc6e81b8a4219319b

  Sun Sparc architecture:

    http://security.debian.org/pool/updates/main/h/hostapd/hostapd_0.3.7-2sarge1_sparc.deb
      Size/MD5 checksum:   138332 8ac3948b2734f3e553531e994f1a1f76


  These files will probably be moved into the stable distribution on
  its next update.

- ---------------------------------------------------------------------------------
For apt-get: deb http://security.debian.org/ stable/updates main
For dpkg-ftp: ftp://security.debian.org/debian-security dists/stable/updates/main
Mailing list: debian-security-announce@lists.debian.org
Package info: `apt-cache show <pkg>' and http://packages.debian.org/<pkg>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEbqnTXm3vHE4uyloRAs4XAKDGRUodpTG1TbtlXEdfAY1wjypJWACdE/FD
PUUg6SwL3Zfn3F1lGUh6KOI=
=S1fQ
-----END PGP SIGNATURE-----

    

- 漏洞信息

25233
Hostapd EAPoL Frame Handling Remote DoS
Remote / Network Access Denial of Service
Loss of Availability
Exploit Unknown Vendor Verified

- 漏洞描述

Hostapd contains a flaw that may allow a remote denial of service. An attacker can send a specially crafted EAPoL frame with an overly large value in the length field, resulting in loss of availability for the service.

- 时间线

2006-05-03 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 0.3.9 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

hostapd Invalid EAPOL Key Length Remote Denial Of Service Vulnerability
Failure to Handle Exceptional Conditions 17846
Yes No
2006-05-04 12:00:00 2006-11-30 09:39:00
The vendor originally discovered this issue. Matteo Rosi reported this issue to Debian.

- 受影响的程序版本

Mandriva Linux Mandrake 2006.0 x86_64
Mandriva Linux Mandrake 2006.0
Mandriva Linux Mandrake 10.2 x86_64
Mandriva Linux Mandrake 10.2
hostapd hostapd 0.3.7
Debian Linux 3.1 sparc
Debian Linux 3.1 s/390
Debian Linux 3.1 ppc
Debian Linux 3.1 mipsel
Debian Linux 3.1 mips
Debian Linux 3.1 m68k
Debian Linux 3.1 ia-64
Debian Linux 3.1 ia-32
Debian Linux 3.1 hppa
Debian Linux 3.1 arm
Debian Linux 3.1 amd64
Debian Linux 3.1 alpha
Debian Linux 3.1
hostapd hostapd 0.3.9

- 不受影响的程序版本

hostapd hostapd 0.3.9

- 漏洞讨论

The hostapd application is affected by a remote denial-of-service vulnerability. This issue is due to the application's failure to properly handle malformed EAPOL-Key packets.

This issue allows remote attackers to crash affected applications, denying further network service to legitimate users.

Version 0.3.7 of hostapd is vulnerable to this issue; previous versions may also be affected.

- 漏洞利用

This issue can be exploited via existing wireless-networking utilities.

- 解决方案

The vendor has released version 0.3.8 to address this issue.

Please see the referenced vendor advisories for more information.


hostapd hostapd 0.3.7

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站